"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.PackageType = exports.InternationalService = exports.CalculationType = exports.DomesticService = exports.onShippoConfigurationUpdated = exports.onShippoConfigurationDeleted = exports.onShippoConfigurationCreated = exports.removeDeliveryRegion = exports.addDeliveryRegion = exports.updateExtendedFields = exports.queryShippoConfigurations = exports.deleteShippoConfiguration = exports.updateShippoConfiguration = exports.getShippoConfiguration = exports.createShippoConfiguration = void 0;
const ecom_v1_shippo_configuration_shippo_configurations_public_js_1 = require("./ecom-v1-shippo-configuration-shippo-configurations.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const ecom_v1_shippo_configuration_shippo_configurations_public_js_2 = require("./ecom-v1-shippo-configuration-shippo-configurations.public.js");
const ecom_v1_shippo_configuration_shippo_configurations_public_js_3 = require("./ecom-v1-shippo-configuration-shippo-configurations.public.js");
const ecom_v1_shippo_configuration_shippo_configurations_public_js_4 = require("./ecom-v1-shippo-configuration-shippo-configurations.public.js");
exports.createShippoConfiguration = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.createShippoConfiguration);
exports.getShippoConfiguration = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.getShippoConfiguration);
exports.updateShippoConfiguration = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.updateShippoConfiguration);
exports.deleteShippoConfiguration = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.deleteShippoConfiguration);
exports.queryShippoConfigurations = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.queryShippoConfigurations);
exports.updateExtendedFields = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.updateExtendedFields);
exports.addDeliveryRegion = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.addDeliveryRegion);
exports.removeDeliveryRegion = (0, rest_modules_1.createRESTModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_1.removeDeliveryRegion);
/**
 * Triggered when a shipping option is created.
 */
exports.onShippoConfigurationCreated = (0, event_definition_modules_1.createEventModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_2.onShippoConfigurationCreated);
/**
 * Triggered when a shipping option is deleted.
 */
exports.onShippoConfigurationDeleted = (0, event_definition_modules_1.createEventModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_3.onShippoConfigurationDeleted);
/**
 * Triggered when a shipping option is updated.
 */
exports.onShippoConfigurationUpdated = (0, event_definition_modules_1.createEventModule)(ecom_v1_shippo_configuration_shippo_configurations_public_js_4.onShippoConfigurationUpdated);
var ecom_v1_shippo_configuration_shippo_configurations_universal_js_1 = require("./ecom-v1-shippo-configuration-shippo-configurations.universal.js");
Object.defineProperty(exports, "DomesticService", { enumerable: true, get: function () { return ecom_v1_shippo_configuration_shippo_configurations_universal_js_1.DomesticService; } });
Object.defineProperty(exports, "CalculationType", { enumerable: true, get: function () { return ecom_v1_shippo_configuration_shippo_configurations_universal_js_1.CalculationType; } });
Object.defineProperty(exports, "InternationalService", { enumerable: true, get: function () { return ecom_v1_shippo_configuration_shippo_configurations_universal_js_1.InternationalService; } });
Object.defineProperty(exports, "PackageType", { enumerable: true, get: function () { return ecom_v1_shippo_configuration_shippo_configurations_universal_js_1.PackageType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return ecom_v1_shippo_configuration_shippo_configurations_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return ecom_v1_shippo_configuration_shippo_configurations_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=ecom-v1-shippo-configuration-shippo-configurations.context.js.map