import { createShippoConfiguration as publicCreateShippoConfiguration, getShippoConfiguration as publicGetShippoConfiguration, updateShippoConfiguration as publicUpdateShippoConfiguration, deleteShippoConfiguration as publicDeleteShippoConfiguration, queryShippoConfigurations as publicQueryShippoConfigurations, updateExtendedFields as publicUpdateExtendedFields, addDeliveryRegion as publicAddDeliveryRegion, removeDeliveryRegion as publicRemoveDeliveryRegion, } from './ecom-v1-shippo-configuration-shippo-configurations.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onShippoConfigurationCreated as publicOnShippoConfigurationCreated } from './ecom-v1-shippo-configuration-shippo-configurations.public.js';
import { onShippoConfigurationDeleted as publicOnShippoConfigurationDeleted } from './ecom-v1-shippo-configuration-shippo-configurations.public.js';
import { onShippoConfigurationUpdated as publicOnShippoConfigurationUpdated } from './ecom-v1-shippo-configuration-shippo-configurations.public.js';
export const createShippoConfiguration = /*#__PURE__*/ createRESTModule(publicCreateShippoConfiguration);
export const getShippoConfiguration = /*#__PURE__*/ createRESTModule(publicGetShippoConfiguration);
export const updateShippoConfiguration = /*#__PURE__*/ createRESTModule(publicUpdateShippoConfiguration);
export const deleteShippoConfiguration = /*#__PURE__*/ createRESTModule(publicDeleteShippoConfiguration);
export const queryShippoConfigurations = /*#__PURE__*/ createRESTModule(publicQueryShippoConfigurations);
export const updateExtendedFields = /*#__PURE__*/ createRESTModule(publicUpdateExtendedFields);
export const addDeliveryRegion = /*#__PURE__*/ createRESTModule(publicAddDeliveryRegion);
export const removeDeliveryRegion = /*#__PURE__*/ createRESTModule(publicRemoveDeliveryRegion);
/**
 * Triggered when a shipping option is created.
 */
export const onShippoConfigurationCreated = createEventModule(publicOnShippoConfigurationCreated);
/**
 * Triggered when a shipping option is deleted.
 */
export const onShippoConfigurationDeleted = createEventModule(publicOnShippoConfigurationDeleted);
/**
 * Triggered when a shipping option is updated.
 */
export const onShippoConfigurationUpdated = createEventModule(publicOnShippoConfigurationUpdated);
export { DomesticService, CalculationType, InternationalService, PackageType, SortOrder, WebhookIdentityType, } from './ecom-v1-shippo-configuration-shippo-configurations.universal.js';
//# sourceMappingURL=ecom-v1-shippo-configuration-shippo-configurations.context.js.map