import * as ambassadorWixEcomV1ShippoConfigurationTypes from './ecom-v1-shippo-configuration-shippo-configurations.types.js';
import * as ambassadorWixEcomV1ShippoConfigurationUniversalTypes from './ecom-v1-shippo-configuration-shippo-configurations.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createShippoConfiguration(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.CreateShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationTypes.CreateShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.CreateShippoConfigurationResponse, ambassadorWixEcomV1ShippoConfigurationTypes.CreateShippoConfigurationResponse>;
export declare function getShippoConfiguration(): __PublicMethodMetaInfo<'GET', {
    shippoConfigurationId: string;
}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.GetShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationTypes.GetShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.GetShippoConfigurationResponse, ambassadorWixEcomV1ShippoConfigurationTypes.GetShippoConfigurationResponse>;
export declare function updateShippoConfiguration(): __PublicMethodMetaInfo<'PATCH', {
    shippoConfigurationId: string;
}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.UpdateShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationTypes.UpdateShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.UpdateShippoConfigurationResponse, ambassadorWixEcomV1ShippoConfigurationTypes.UpdateShippoConfigurationResponse>;
export declare function deleteShippoConfiguration(): __PublicMethodMetaInfo<'DELETE', {
    shippoConfigurationId: string;
}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.DeleteShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationTypes.DeleteShippoConfigurationRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.DeleteShippoConfigurationResponse, ambassadorWixEcomV1ShippoConfigurationTypes.DeleteShippoConfigurationResponse>;
export declare function queryShippoConfigurations(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.QueryShippoConfigurationsRequest, ambassadorWixEcomV1ShippoConfigurationTypes.QueryShippoConfigurationsRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.QueryShippoConfigurationsResponse, ambassadorWixEcomV1ShippoConfigurationTypes.QueryShippoConfigurationsResponse>;
export declare function updateExtendedFields(): __PublicMethodMetaInfo<'POST', {
    id: string;
}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.UpdateExtendedFieldsRequest, ambassadorWixEcomV1ShippoConfigurationTypes.UpdateExtendedFieldsRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.UpdateExtendedFieldsResponse, ambassadorWixEcomV1ShippoConfigurationTypes.UpdateExtendedFieldsResponse>;
export declare function addDeliveryRegion(): __PublicMethodMetaInfo<'POST', {
    shippoConfigurationId: string;
}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.AddDeliveryRegionRequest, ambassadorWixEcomV1ShippoConfigurationTypes.AddDeliveryRegionRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.AddDeliveryRegionResponse, ambassadorWixEcomV1ShippoConfigurationTypes.AddDeliveryRegionResponse>;
export declare function removeDeliveryRegion(): __PublicMethodMetaInfo<'DELETE', {
    shippoConfigurationId: string;
    deliveryRegionId: string;
}, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.RemoveDeliveryRegionRequest, ambassadorWixEcomV1ShippoConfigurationTypes.RemoveDeliveryRegionRequest, ambassadorWixEcomV1ShippoConfigurationUniversalTypes.RemoveDeliveryRegionResponse, ambassadorWixEcomV1ShippoConfigurationTypes.RemoveDeliveryRegionResponse>;
